package pragmateek.gson;

import java.lang.reflect.Type;
import com.google.gson.*;

class CurrencyPairTypeAdapter implements JsonSerializer<CurrencyPair>, JsonDeserializer<CurrencyPair>
{
	  public JsonElement serialize(CurrencyPair value, Type typeOfT, JsonSerializationContext context)
	  {
		  return new JsonPrimitive(value.getBaseCurrency() + "/" + value.getCounterCurrency());
	  }
	
	  public CurrencyPair deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException
	  {
		  String currencyPairStr = json.getAsString();
		  
		  String[] tokens = currencyPairStr.split("/");
		  
		  return new CurrencyPair(tokens[0], tokens[1]);
	  }
}