package pragmateek.gson;

import java.lang.reflect.Type;
import com.google.gson.*;

class StatusTypeAdapter implements JsonSerializer<Status>, JsonDeserializer<Status>
{
	  public JsonElement serialize(Status value, Type typeOfT, JsonSerializationContext context)
	  {
		  return new JsonPrimitive(value.ordinal());
	  }
	
	  Status[] statuses = Status.values();
	  
	  public Status deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context) throws JsonParseException
	  {
		  int code = json.getAsInt();
		  
		  return code < statuses.length ? statuses[code] : null;
	  }
}